require 'postman/client'
require 'postman/config'

module Postman

  def self.config
    @config ||= Config.new
  end

  def self.configure(&block)
    block.call(config)
  end

  def self.send_message(&block)
    Postman::Client.instance.send_message(&block)
  end

  def self.send_raw_message(&block)
    Postman::Client.instance.send_raw_message(&block)
  end

end
